HELP2MAN(1)

IME
help2man - napravi jednostavnu stranicu priručnika

PREGLED
help2man [OPCIJA]... IZVRŠNADATOTEKA

OPIS
„help2man” koristi ispis opcija „--help” i „--version” za izradu stranice priručnika.

-n, --name=NIZ
    opis za odlomak IME

-s, --section=SKUPINA
    broj skupine za stranicu priručnika (1, 6, 8)

-m, --manual=TEKST
    ime priručnika (Korisničke naredbe, ...)

-S, --source=TEKST
    izvor programa (FSF, Debian, ...)

-L, --locale=NIZ
    izaberi lokalne postavke (zadano "C")

-i, --include=DATOEKA
    uključi materijal iz „DATOTEKE”

-I, --opt-include=DATOTEKA
    uključi materijal iz „DATOTEKE” ako postoji

-o, --output=DATOTEKA
    spremi izlaz u „DATOTEKU”

-p, --info-page=TEKST
    ime Texinfo priručnika

-N, --no-info
    izostavi pokazivač na Texinfo priručnik

-l, --libtool
    isključi „lt-” iz imena programa

--help
    ispiši ovu pomoć, zatim izađi

--version
    ispiši broj inačice, zatim izađi

IZVRŠNADATOTEKA bi trebala prihvaćati opcije „--help” i „--version” te ispisati rezultat na standardni izlaz iako se mogu navesti alternative:

-h, --help-option=NIZ
    niz opcije pomoći

-v, --version-option=NIZ
    niz opcije inačice

--version-string=NIZ
    niz inačice

--no-discard-stderr
    uključi standardni izlaz za greške pri obradi izlaza opcija

UKLJUČI DATOTEKE
Dodatni materijali mogu se uključiti u napravljeni izlaz opcijama --include i --opt-include Oblik je jednostavan:

    [odjeljak]
    tekst

    /uzorak/
    tekst

Blokovi doslovnog *roff teksta umeću se u izlaz ili na početku zadanog [odjeljka] (veličina slova nevažna), ili nakon odlomka koji odgovara /uzorku/.

Uzorci koriste Perl sintaksu regularnih izraza i nakon njih mogu slijediti i, s ili m modifikatori (pogledajte perlre(1)).

Retci prije prvog odjeljka ili uzorka koji počinju s „-” se obrađuju kao opcije. Sve ostalo se prešutno zanemaruje i može se koristiti za komentare, RCS ključne riječi i slično.

Izlazni redoslijed skupina (za one uključene):

    IME
    PREGLED
    OPIS
    OPCIJE
    ostalo
    OKOLINA
    DATOTEKE
    PRIMJERI
    AUTOR
    PRIJAVA GREŠAKA
    COPYRIGHT
    TAKOĐER POGLEDAJTE

Bilo koja [IME] ili [PREGLED] skupina koja se pojavljuje u uključenoj datoteci će zamijeniti ono što bi se automatski stvorilo (iako to još uvijek možete zaobići s --name ako je potrebno).

Ostale skupine se dodaju prije automatski stvorenog izlaza za standardne gore prikazane skupine ili se dodaju u ostalo (iznad) redoslijedom kojim su pronađene u uključenoj datoteci.

Placement of the text within the section may be explicitly requested by using the syntax [<section], [=section] or [>section] to place the additional text before, in place of, or after the default output respectively.

DOSTUPNOST
Najnovija inačica ove distribucije je dostupna na internetu na:

    ftp://ftp.gnu.org/gnu/help2man/

AUTOR
Napisao Brendan O'Dea <bod@debian.org>

PRIJAVA GREŠAKA
Prijavite greške na <bug-help2man@gnu.org>.

COPYRIGHT
Copyright © 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2020, 2021, 2022 Free Software Foundation, Inc.
Ovo je slobodan softver, pogledajte kod za upute o kopiranju. NEMA jamstava, čak ni za TRGOVINSKU PRIKLADNOST ili ODGOVARANJE ODREĐENOJ SVRSI.

TAKOĐER POGLEDAJTE
Potpuna dokumentacija za help2man se održava kao Texinfo priručnik. Ako su programi info i help2man pravilno instalirani na vašem sustavu, naredbom

    info help2man

biste trebali dobiti pristup potpunom priručniku.